import { motion } from 'framer-motion';
// 活动项组件
interface ActivityItemProps {
    icon: React.ReactNode;
    title: string;
    time: string;
}

export default function ActivityItem({ icon, title, time }: ActivityItemProps) {
    return (
        <motion.div 
            className="flex items-center py-2"
            initial={{ opacity: 0, x: -10 }}
            animate={{ opacity: 1, x: 0 }}
            transition={{ duration: 0.3 }}
        >
            <div className="flex-shrink-0 w-8 h-8 bg-gray-100 rounded-full flex items-center justify-center mr-3">
                {icon}
            </div>
            <div className="flex-grow">
                <div className="text-gray-800">{title}</div>
                <div className="text-gray-400 text-xs">{time}</div>
            </div>
        </motion.div>
    );
}