
import { ShareCodeGenerator } from "../sharecode/sharecodegenerator";
import { ShareCodeValidator } from "../sharecode/sharecodevalidator";
import { message, Tabs, Form } from "antd";
import { TusUploader } from "@web/src/components/common/uploader/TusUploader";
import CodeRecord from "../sharecode/components/CodeRecord";
import Header from "./components/header";
const { TabPane } = Tabs;
export default function QuickUploadPage() {
    const [form] = Form.useForm();
    const uploadFileId = Form.useWatch(["file"], form)?.[0]
    return (
        <div className="w-full ">
            <Header />
            <div className="max-w-[1000px] mx-auto">
                <div className="my-4 p-5 border-3 border-gray-200 rounded-lg shadow-lg">
                    <div className="flex justify-between items-center mb-4">
                        <span className="text-lg block text-zinc-700 py-4">使用分享码下载文件</span>
                        <CodeRecord title="我使用的分享码" btnContent="使用记录" recordName="shareCodeDownloadRecords" isDownload={true} />
                    </div>
                    <div>
                        <ShareCodeValidator />
                    </div>
                </div>
                <div className="my-4 p-5 border-3 border-gray-200 rounded-lg shadow-lg">
                    <div className="flex justify-between items-center mb-4">
                        <span className="text-lg text-zinc-700">上传文件并生成分享码</span>
                        <CodeRecord title="我生成的分享码" btnContent="上传记录" recordName="shareCodeGeneratorRecords" />
                    </div>
                    <div>
                        <Form form={form}>
                            <Form.Item name="file">
                                <TusUploader
                                    multiple={false}
                                    style={"w-full py-4 mb-0 h-64"}
                                ></TusUploader>
                            </Form.Item>
                        </Form>
                    </div>
                    <div style={{ marginBottom: '40px' }}>
                        <ShareCodeGenerator
                            fileId={uploadFileId}
                        />
                    </div>
                </div>

                {/* <Tabs defaultActiveKey="upload">
                    <TabPane tab="上传分享" key="upload">

                    </TabPane>
                    <TabPane tab="下载文件" key="download">

                    </TabPane>
                </Tabs> */}
            </div>
        </div>
    )

}